import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Iterator;
import java.util.StringTokenizer;
import java.util.TreeMap;
import java.util.TreeSet;

public class Main {

	public static void main(String[] args) {
		Reader in = new Reader(System.in);
		PrintWriter out = new PrintWriter(System.out);
		
		int n = in.nextInt();
		int m = in.nextInt();
		Spell[] ss = new Spell[m];
		for (int i = 0; i < m; i++) {
			int k = in.nextInt();
			int mask = 0;
			for (int j = 0; j < k; j++) {
				mask |= 1<<(in.nextInt()-1);
			}
			Spell s = new Spell();
			s.e = in.nextInt();
			s.i = i;
			s.m = mask;
			ss[i] = s;
		}
		
		TreeSet<Long> q = new TreeSet<>();
		int []dist = new int[1<<n];
		Arrays.fill(dist, -1);
		dist[0] = 0;
		q.add(0l);
		while (!q.isEmpty()){
			int c =(int)(q.pollFirst()&((1l<<20)-1));
			for (Spell s:ss){
				if ((c&s.m)!=0)continue;
				int next = c|s.m;
				int newd = dist[c]+s.e;
				int d = dist[next];
				if (d==-1 || d>newd){
					q.remove(((long)d<<20)|next);
					dist[next] = newd;
					q.add(((long)newd<<20l)|next);
				}
			}
		}
		out.println(dist[(1<<n)-1]);
		out.close();
	}

	static class Spell implements Comparable<Spell>{
		int e, i, m;
		@Override
		public int compareTo(Spell o) {
			if (e!=o.e) return e-o.e;
			return i-o.i;
		}
	}
}

class Reader{
	BufferedReader reader;
	StringTokenizer line = new StringTokenizer("");
	
	public Reader(InputStream stream){
		reader = new BufferedReader(new InputStreamReader(stream));
	}
	
	public String nextLine(){
		try {
			this.line = new StringTokenizer("");
			return reader.readLine();
		} catch (IOException e) {
			throw new RuntimeException();
		}
	}
	
	public String next(){
		while (!line.hasMoreTokens()) line = new StringTokenizer(nextLine());
		return line.nextToken();
	}
	
	public int nextInt(){
		return Integer.parseInt(next());
	}
}
