#include <stdio.h>
#include <cstdlib>
#include <cstring>
#include <cmath>
#include <ctime>
#include <cctype>
#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>

using namespace std;

typedef long long ll;
typedef unsigned int ui;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef vector<int> vi;
typedef vector<ll> vll;
typedef vector<pii> vpii;

#define pb push_back
#define ft first
#define sd second
#define mpr make_pair
#define l_b lower_bound
#define u_b upper_bound
#define maxt(a, b, c) max((a), max((b), (c)))
#define maxf(a, b, c, d) max(max((a), (b)), max((c), (d)))
#define all(x) begin((x)), end((x))
#define rall(x) (x).rbegin(), (x).rend()
#define forn(i, n) for(int (i) = 0; (i) < (n); ++(i))
#define rforn(i, n) for(int (i) = (n) - 1; (i) >= 0; --(i))
#define isz (int)(x).size()

/* <----------------------------------------------------------> */

const int MAX = 1e7 + 7;

bool us[MAX];
int pr_num[MAX];
ll dv[MAX];

ll gcd(ll a, ll b)
{
    return b ? gcd(b, a % b) : a;
}

void init()
{
    dv[0] = dv[1] = pr_num[0] = pr_num[1] = 0;
    for (int i = 2; i < MAX; ++i)
        if (!us[i])
        {
            dv[i] = (ll)sqrt(i) - 1;
            for (int j = 2 * i; j < MAX; j += i)
                if (!us[j])
                {
                    us[j] = true;
                    dv[j] = i - 1;
                }
        }

    for (int i = 2; i < MAX; ++i)
    {
        dv[i] += dv[i - 1];
        pr_num[i] = pr_num[i - 1] + !us[i];
    }
}

pll get_ans(ll n)
{
    ll a = dv[n];
    ll b = pr_num[n];
    ll g = gcd(a, b);
    return {a / g, b / g};
}

void solve()
{
    init();

    int t;
    scanf("%d", &t);

    while (t--)
    {
        int n;
        scanf("%d", &n);
        pll ans = get_ans((ll)n);
        printf("%lld/%lld\n", ans.ft, ans.sd);
    }
}

/* <----------------------------------------------------------> */

// #define LOCAL
// #define FILE_NAME ""

int main()
{
    #if defined LOCAL
        freopen("input.txt", "r", stdin);
    #elif defined FILE_NAME
        freopen(FILE_NAME".in", "r", stdin);
        freopen(FILE_NAME".out", "w", stdout);
    #endif

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    solve();

    return 0;
}
