#include<iostream>
#include<vector>
#include<cmath>
#include<string>

using namespace std;
typedef double db;
typedef long long ll;

struct treap {
	string x;
	int y, sz;
	treap *l, *r;
	treap(){}
	treap(string & x, int y) : x(x), y(y), l(0), r(0), sz(1) {}
};

int size(treap * & T){return T ? T->sz : 0;}

void cnt(treap * & T){
	if (T) T->sz = size(T->l) + size(T->r) + 1;
}

void merge(treap * & T, treap * L, treap * R){
	if (!L) { T = R; cnt(T); return; }
	if (!R) { T = L; cnt(T); return; }
	if (L->y <= R->y){ merge(R->l, L, R->l); T = R; }
	else { merge(L->r, L->r, R); T = L; }
	cnt(T);
}

//void split(int k, treap * T, treap * & L, treap * & R){
//	if (!T) { R = L = 0; cnt(R); cnt(L); return; }
//	if (size(T->l) + 1 <= k) { split(k - size(T->l) - 1, T->r, T->r, R); L = T; cnt(L); }
//	else{ split(k, T->l, L, T->l); R = T; cnt(R); }
//}

void split(string & x, treap * T, treap * & L, treap * & R){
	if (!T) { R = L = 0; cnt(R); cnt(L); return; }
	if (T->x < x) { split(x, T->r, T->r, R); L = T; cnt(L); }
	else{ split(x, T->l, L, T->l); R = T; cnt(R); }
}

void insert(string & x, treap * & T){
	treap * t = new treap(x, rand());
	treap * L, *R;
	split(x, T, L, R);
	merge(L, L, t); merge(T, L, R);
}

int find(string & x, treap * T){
	treap * L, * R;
	split(x, T, L, R);
	int ans=size(R);
	merge(T, L, R);
	return ans;
}

bool null_s(string & s){
	for (int i = 0; i < s.size(); i++){
		if (s[i] == '1') return 0;
	}
	return 1;
}

string min_find_s(string & s){
	string x=s;
	int p = -1;
	for (int i = s.size() - 1; i >= 0; i--){
		if (s[i] == '1'){ p = i; x[i] = '1'; break; }
		else x[i] = '0';
	}
	for (int i = p - 1; i >= 0; i--){
		if (s[i] == '0') x[i] = '1';
		else x[i] = '0';
	}
	return x;
}

int main(){
	int n, m;
	string s, x;
	cin >> n >> m;
	treap * T = new treap(); T = 0;
	for (int i = 0; i < n; i++){
		cin >> s;
		if (null_s(s)) cout << "0";
		else{
			x = min_find_s(s);
			cout << find(x, T);
			insert(s, T);
		}
		cout << "\n";
	}
	return 0;
}

