#include <iostream>
#include <string>
#include <vector>
#include <map>

using namespace std;
struct Sent {
	Sent() {}
	Sent(string val) : val(val) {}
	string val;
};

vector <Sent> sents;
map <string, vector <int>> dict;

string GetLowerCase(string _word) {
	string word(_word);
	for (size_t i = 0; i < word.size(); ++i) {
		if ('A' <= word[i] && word[i] <= 'Z') word[i] = word[i] - ('A' - 'a');
	}
	return word;
}

void AddSent(string sent, int index) {
	Sent sentence(sent);
	size_t prevWord = 0;
	for (size_t i = 0; i < sent.size(); ++i) {
		if (sent[i] == ' ' || sent[i] == '.' || sent[i] == '?' || i == sent.size() - 1) {
			string word = GetLowerCase(sent.substr(prevWord, i - prevWord));
			dict[word].push_back(index);
			size_t j = i + 1;
			for (; j < sent.size() && sent[j] == ' '; ++j) { }
			prevWord = j;
			i = prevWord - 1;
		}
	}
	sents.push_back(Sent(sent));
}

void FindSent(string & line, vector <string> & words) {
	map <int, int> inds;
	for (size_t i = 0; i < words.size(); ++i) {
		string word = GetLowerCase(words[i]);
		auto entry = dict[word];
		for (size_t j = 0; j < entry.size(); ++j) {
			if (inds.count(entry[j]) == 0) {
				inds[entry[j]] = 1;
			}
			else {
				inds[entry[j]] = inds[entry[j]] + 1;
			}
		}
	}
	int wordsCount = words.size();
	cout << "Search results for \"" << line << "\":" << endl;
	for (auto it = inds.begin(); it != inds.end(); ++it) {
		if (it->second == wordsCount) {
			cout << "- \"" << sents[it->first].val << "\"" << endl;
		}
	}
}

string Trim(string s) {
	string res;
	size_t j = 0, prev = 0;
	for (;j <s.size() && s[j] == ' '; ++j) { }
	prev = j;
	if (j == s.size()) return string("");
	else {
		for (;j < s.size() && s[j] != ' '; ++j) {}
		return s.substr(prev, j - prev);
	}
}

int main(int argc, char ** argv) {
	//freopen("input.txt", "r", stdin);
	string text;
	getline(cin, text);
	size_t prevSent = 0;
	int sentIndex = 0;
	for (; prevSent < text.size() && text[prevSent] == ' '; ++prevSent) {}
	for (size_t i = 0; i < text.size(); ++i) {
		if (text[i] == '.' || text[i] == '!' || text[i] == '?') {
			if (text[i] == '.') {
				size_t j = i + 1;
				for (; j < text.size() && text[j] == ' '; ++j) { }
				if (j < text.size() && 'a' <= text[j] && text[j] <= 'z') {
					continue;
				}
			}
			AddSent(text.substr(prevSent, i - prevSent + 1), sentIndex);
			sentIndex++;
			size_t j = i + 1;
			for (; j < text.size() && text[j] == ' '; ++j) { }
			
			prevSent = j;
			i = prevSent - 1;
		}
	}
	int n;
	cin >> n >> ws;
	string line;
	for (int t = 0; t < n; ++t) {
		getline(cin, line);
		size_t prevWord = 0;
		vector <string> words;
		for (size_t i = 0; i < line.size(); ++i) {
			if (line[i] == ' ' || (i == line.size() - 1)) {
				string tmp = Trim(line.substr(prevWord, i - prevWord + (line[i] != ' ')));
				if (tmp.size() == 0) continue;
				words.push_back(tmp);
				size_t j = i + 1;
				for (; j < line.size() && line[j] == ' '; ++j) { }
				prevWord = j;
				i = prevWord - 1;
			}
		}
		FindSent(line, words);
	}
	return 0;
}