#include <iostream>
#include <vector>

using namespace std;

long long max_num = 1000000000000;

void print_vec(vector<bool> &vec) {
    for (int i=0; i<vec.size(); ++i) {
        cout << vec[i] << ' ';
    }
    cout << endl;
}

vector<bool> to_vec(long long num, int n) {
    vector<bool> ans(n, false);
    int x = num;
    for (int i=0; i<n; ++i) {
        ans[i] = x % 2;
        x = x / 2;
    }
    return ans;
}

void apply(vector<bool> &spell, int en, vector<long long> &dyn, long long idx, int n) {
    vector<bool> vec = to_vec(idx, n);
    long long k = 0, pow = 1;
    bool fail = false;

    for (int i=0; i<n; ++i) {
        if (spell[i] > vec[i]) {
            fail = true;
            break;
        } else if (spell[i] < vec[i])
            k += pow;
        pow *= 2;
    }

    if (!fail) {
        dyn[idx] = min(dyn[idx], dyn[k] + en);
    }
}

void print_vec(vector<long long> &vec) {
    for (int i=0; i<vec.size(); ++i) {
        cout << i << " " << vec[i] << endl;
    }
}


int main() {
    int n, m, k, mon_ind;
    cin >> n >> m;

    long long x = 1;
    for (int i = 0; i < n; ++i) {
        x *= 2;
    }

    vector<long long> dyn(x, max_num);
    dyn[0] = 0;
    vector<vector<bool> > spells;
    vector<int> en(m);

    for (int i = 0; i < m; ++i) {
        vector<bool> mon(n, 0);
        cin >> k;
        for (int j = 0; j < k; ++j) {
            cin >> mon_ind;
            mon[mon_ind-1] = 1;
        }
        spells.push_back(mon);
        cin >> en[i];
    }

    for (long long i=1; i<x; ++i) {
        for (int j=0; j<m; ++j) {
            apply(spells[j], en[j], dyn, i, n);
        }
    }

    if (dyn[x-1] != max_num)
        cout << dyn[x-1] << endl;
    else
        cout << -1 << endl;
}
