#include <cstdio>
#include <cmath>
#include <vector>
#include <algorithm>
int xp,yp;
using namespace std;

struct pt {
        int x, y;
};

bool cmp (pt a, pt b) {
        return a.x < b.x || a.x == b.x && a.y < b.y;
}

bool cw (pt a, pt b, pt c) {
        return a.x*(b.y-c.y)+b.x*(c.y-a.y)+c.x*(a.y-b.y) <=0;
}

bool ccw (pt a, pt b, pt c) {
        return a.x*(b.y-c.y)+b.x*(c.y-a.y)+c.x*(a.y-b.y) >=0;
}

void convex_hull (vector<pt> & a) {
        if (a.size() == 1)  return;
        sort (a.begin(), a.end(), &cmp);
        pt p1 = a[0],  p2 = a.back();
        vector<pt> up, down;
        up.push_back (p1);
        down.push_back (p1);
        for (size_t i=1; i<a.size(); ++i) {
                if (i==a.size()-1 || cw (p1, a[i], p2)) {
                        while (up.size()>=2 && !cw (up[up.size()-2], up[up.size()-1], a[i]))
                                up.pop_back();
                        up.push_back (a[i]);
                }
                if (i==a.size()-1 || ccw (p1, a[i], p2)) {
                        while (down.size()>=2 && !ccw (down[down.size()-2], down[down.size()-1], a[i]))
                                down.pop_back();
                        down.push_back (a[i]);
                }
        }
        a.clear();
        for (size_t i=0; i<up.size(); ++i)
                a.push_back (up[i]);
        for (size_t i=down.size()-2; i>0; --i)
                a.push_back (down[i]);
}




bool qmp(pt x1,pt x2)
{
	if (x1.x*x1.x+x1.y*x1.y>x2.x*x2.x+x2.y*x2.y)
		return true;
	else
		return false;
}
int area(pt p1,pt p2,pt p3)
{
	return (p2.x-p1.x)*(p3.y-p1.y)-(p2.y-p1.y)*(p3.x-p1.x);
}
int main()
{
	int n,min=0,max=0,nom1=0,nom2=1,nom3=2;
	scanf("%d",&n);
	vector <pt> p;
	vector <pt> p1;
	pt pp;
	for (int i=0;i<n;i++)
	{
		scanf("%d %d",&xp,&yp);
		pp.x=xp;
		pp.y=yp;
		p.push_back(pp);
		if (xp<p[min].x)
			min=i;
	}
	if (n>3)
	{
		convex_hull(p);
		for (int i=0;i<p.size();i++)
		{
			for (int j=i+1;j<p.size();j++)
			{
				for (int k=j+1;k<p.size();k++)
				{
					int s=abs(area(p[i],p[j],p[k]));
					if (s>max)
					{
						max=s;
						nom1=i;
						nom2=j;
						nom3=k;
					}
				}
			}
		}
		printf("%d %d\n",p[nom1].x,p[nom1].y);
		printf("%d %d\n",p[nom2].x,p[nom2].y);
		printf("%d %d\n",p[nom3].x,p[nom3].y);
	}
	else
	{
		printf("%d %d\n",p[nom1].x,p[nom1].y);
		printf("%d %d\n",p[nom2].x,p[nom2].y);
		printf("%d %d\n",p[nom3].x,p[nom3].y);

	}

	return 0;
}
/*
12
1 1
2 1
3 5
-1 1
-2 1
-3 5
-1 -1
-2 -1
-3 -5
1 -1
2 -1
3 -5

4
-1 -1
-1 1
1 -1
0 0
*/
