import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.HashSet;
import java.util.StringTokenizer;

public class Main {

	public static void main(String[] args) {
		Reader in = new Reader(System.in);
		PrintWriter out = new PrintWriter(System.out);

		int n = in.nextInt();
		int []to = new int[2*n-2];
		int []fr = new int[n];
		int []nn = new int[2*n-2];
		Arrays.fill(fr, -1);
		for (int i = 0; i < n - 1; i++) {
			int u = in.nextInt() - 1;
			int v = in.nextInt() - 1;
			to[2*i]=v;
			nn[2*i] = fr[u];
			fr[u] = 2*i;
			to[2*i+1]=u;
			nn[2*i+1] = fr[v];
			fr[v] = 2*i+1;
		}
		boolean[] vis = new boolean[n];
		int[] size = new int[n];
		long[] ans = new long[1];
		dfs(0, n, vis, fr,to,nn, size, ans);
		out.println(ans[0]);
		out.close();
	}

	static void dfs(int start, int n, boolean[] vis, int[] fr, int[] to, int[] nn, int[] size, long[] ans) {
		vis[start] = true;
		size[start] = 1;
		for (int c = fr[start]; c != -1; c = nn[c]) {
			int next = to[c];
			if (vis[next]) {
				continue;
			}
			dfs(next, n, vis, fr, to, nn, size, ans);
			ans[0] += (long) size[next] * (long) (n - size[next]);
			size[start] += size[next];
		}
	}
}

class Reader {
	BufferedReader reader;
	StringTokenizer line = new StringTokenizer("");

	public Reader(InputStream stream) {
		reader = new BufferedReader(new InputStreamReader(stream));
	}

	public String nextLine() {
		try {
			this.line = new StringTokenizer("");
			return reader.readLine();
		} catch (IOException e) {
			throw new RuntimeException();
		}
	}

	public String next() {
		while (!line.hasMoreTokens())
			line = new StringTokenizer(nextLine());
		return line.nextToken();
	}

	public int nextInt() {
		return Integer.parseInt(next());
	}
}
